#ifndef WIFI_H
#define WIFI_H

#include "string.h"
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/event_groups.h"
#include "esp_system.h"
#include "esp_wifi.h"
#include "esp_event.h"
#include "esp_log.h"

#include "lwip/err.h"
#include "lwip/sys.h"

#include "secrets.h"

#define ESP_WIFI_SSID SSID
#define ESP_WIFI_PASS PSK

#define WIFI_CONNECTED_BIT BIT0
#define WIFI_FAIL_BIT BIT1

void setup_wifi(char *serverIp);

#endif
