#include "common/theLogger.h"
#include "common/theSNTP.h"
#include "common/theNVS.h"

#include "network/theWifi.h"
#include "network/theWebServer.h"

char server_ip[IP4ADDR_STRLEN_MAX] = "0.0.0.0";

void app_main()
{
    setup_all_log_levels();
    print_logo();
    print_esp32_information();

    setup_nvs();
    setup_wifi(server_ip);
    setup_sntp();
    setup_web_server(server_ip);
}
